//
//  TaskManagerViewController.h
//  TaskManager
//
//  Created by Kiran Panesar on 15/04/2011.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "CreateTaskViewController.h"

@class CreateTaskViewController;

@interface TaskManagerViewController : UIViewController {
    IBOutlet CreateTaskViewController *createTaskObject; //An object of type CreateTaskViewController to allow this VC to work with the second VC.
    IBOutlet UILabel *taskTitleLabel; //A label to display the text inputted in the second view.
}

@property (nonatomic, retain) CreateTaskViewController *createTaskObject;
@property (nonatomic, retain) UILabel *taskTitleLabel;

-(IBAction)loadTaskCreator:(id)sender; //Action to load the second view.
-(void)didCreateTaskWithTitle:(NSString *)taskTitle; //An method run when the task is 'saved' (in CreateTaskViewController) to set the text of the label.

@end
