//
//  TaskManagerViewController.m
//  TaskManager
//
//  Created by Kiran Panesar on 15/04/2011.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "TaskManagerViewController.h"

@implementation TaskManagerViewController

@synthesize createTaskObject;
@synthesize taskTitleLabel;

-(IBAction)loadTaskCreator:(id)sender {
    CreateTaskViewController *createTaskViewControler = [[CreateTaskViewController alloc] init]; //Creating another object of type second VC.
    
    [self presentModalViewController:createTaskViewControler animated:YES]; //Showing the second view
    
    [createTaskViewControler release]; //Releasing the object from memory
}

-(void)didCreateTaskWithTitle:(NSString *)taskTitle {
    taskTitleLabel.text = taskTitle; //setting the text of the label to the string argument provided to method
}

- (void)dealloc
{
    [createTaskObject release];
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
}
*/

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
